---
title: RTCIceCandidateInit.candidate
slug: Web/API/RTCIceCandidateInit/candidate
tags:
  - API
  - Candidate
  - ICE
  - Media
  - Property
  - RTCIceCandidateInit
  - SDP
  - Signaling
  - WebRTC
  - WebRTC API
  - candidate-attribute
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The optional property <code><strong>candidate</strong></code> in the <strong>{{domxref("RTCIceCandidateInit")}}</strong> dictionary specifies the value of the {{domxref("RTCIceCandidate")}} object's {{domxref("RTCIceCandidate.candidate", "candidate")}} property.</span></p>

<h2 id="Value">Value</h2>

<p>{{page("/en-US/docs/Web/API/RTCIceCandidate/candidate", "Value")}}</p>

<h2 id="Example">Example</h2>

<p>When a new ICE candidate is received by your signaling code from the remote peer, you need to construct the <code>RTCIceCandidate</code> object that encapsulates it. This is done in the event handler for the {{event("icecandidate")}} event. If your client-side signaling layer builds and transmits a JSON string including the candidate to the remote peer, the remote peer might handle receiving that JSON message like this:</p>

<pre class="brush: js">function gotICECandidateMessage(msg) {
  var iceCandidate = new RTCIceCandidate({
        candidate: msg.candidate;
  });

  pc.addIceCandidate(iceCandidate).catch({
    /* handle error */
  });
}
</pre>

<p>It's helpful to note that for backward compatibility with older versions of the WebRTC specification, the {{domxref("RTCIceCandidate.RTCIceCandidate", "RTCIceCandidate()")}} constructor accepts the value of <code>candidate</code> as its only input, in place of the <code>RTCIceCandidateInit</code> dictionary. That usage would change the above sample to look like this:</p>

<pre class="brush: js">function gotICECandidateMessage(msg) {
  var iceCandidate = new RTCIceCandidate(msg.candidate);

  pc.addIceCandidate(iceCandidate).catch({
    /* handle error */
  });
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcicecandidateinit-candidate', 'RTCIceCandidateInit.candidate') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateInit.candidate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{domxref("RTCIceCandidate.candidate")}}</li>
 <li>{{domxref("RTCPeerConnection.addIceCandidate()")}}</li>
 <li>{{event("icecandidate")}}</li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime">Lifetime of a WebRTC session</a></li>
</ul>
